package com.deer.wms.produce.manage.service;

import com.deer.wms.produce.manage.model.*;
import com.deer.wms.project.seed.core.service.Service;
import java.util.List;

/**
 * Created by guo on 2019/07/18.
 */
public interface ProductProcessBomService extends Service<ProductProcessBom, Integer> {
    List<ProductProcessBomDto> findProBomAndProList(ProductProcessBomParams params);

    List<ProductProcessBomDto> findListByTerm(ProductProcessBomParams params);

    List<ProductProcessBom> findListById(ProductProcessBomParams params);

    List<ProductProcessBomVO> findByProductNameAndProductNum(ProductProcessBomParams mtAloneProductProcessBomParams);


    void addProductProcessBom(ProductProcessBomParams params);

    void updateProductProcessBom(ProductProcessBomParams params);

    ProductProcessBomHo findAllBomByProdProcBom(ProductProcessBomParams params);

    ProductProcessBom selectByProdProcBom(ProductProcessBomParams params);

    ProductProcessBomDto findDataById(Integer id);
}
